## boostpythongenerator 0.2-0maemo1

=== CMakeLists.txt ===
project(boostpythongenerator)

cmake_minimum_required(VERSION 2.6)

find_package(Qt4 4.5.0 REQUIRED)
find_package(ApiExtractor REQUIRED)

add_definitions(${QT_DEFINITIONS})

set(boostpythongenerator_VERSION 0.2)
configure_file(boostpythongeneratorversion.h.in ${CMAKE_CURRENT_BINARY_DIR}/boostpythongeneratorversion.h @ONLY)
set(CMAKE_BUILD_TYPE Debug)

set(boostpythongenerator_SRC
boostpythongenerator.cpp
convertergenerator.cpp
docgenerator.cpp
hppgenerator.cpp
cppgenerator.cpp
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${APIEXTRACTOR_INCLUDE_DIR}
                    ${APIEXTRACTOR_INCLUDE_DIR}/..
                    ${QT_INCLUDE_DIR}
                    ${QT_QTCORE_INCLUDE_DIR})

add_library(libboostpythongenerator STATIC ${boostpythongenerator_SRC})
target_link_libraries(libboostpythongenerator
                      ${APIEXTRACTOR_LIBRARY}
                      ${QT_QTCORE_LIBRARY}
                      ${QT_QTXML_LIBRARY})
add_executable(boostpythongenerator main.cpp)
target_link_libraries(boostpythongenerator libboostpythongenerator)

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
               IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}"
                  -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")


# "make dist", in fact "make package_source"
#set(CPACK_SOURCE_PACKAGE_FILE_NAME "boostpythongenerator-${boostpythongenerator_VERSION}")
#set(CPACK_SOURCE_GENERATOR TGZ)
#set(CPACK_SOURCE_IGNORE_FILES "~$" ".svn" "debian/" "build/" ".swp$" "*.kdev4")
#include(CPack)

set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${boostpythongenerator_VERSION})
add_custom_target(dist
    COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
        | bzip2 > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

install(TARGETS boostpythongenerator DESTINATION bin)

enable_testing()
#add_subdirectory(libbindgen)
add_subdirectory(tests)

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/BoostPythonGenerator.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/BoostPythonGenerator.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

=== tests/CMakeLists.txt ===
project(sphinxtabletest)

# TODO
set(sphinxtabletest_SRC sphinxtabletest.cpp)
qt4_automoc(${sphinxtabletest_SRC})
include_directories(${QT_INCLUDE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${boostpythongenerator_SOURCE_DIR})
add_executable(sphinxtabletest ${sphinxtabletest_SRC})
target_link_libraries(sphinxtabletest ${QT_QTTEST_LIBRARY} ${APIEXTRACTOR_LIBRARY} libboostpythongenerator)
add_test("sphinxtable" sphinxtabletest)

=== tests/Makefile ===
all:
	(cd libfoo; $(MAKE))
	(cd foobinding; $(MAKE))


test:
	LD_LIBRARY_PATH=$(LD_LIBRARY_PATH):$(PWD)/libfoo PYTHONPATH=$(PYTHONPATH):$(PWD)/foobinding/foo python foo_test.py

clean:
	(cd libfoo; $(MAKE) clean)
	(cd foobinding; $(MAKE) clean)

=== tests/foobinding/Makefile ===
all: generate
	(cd foo; $(MAKE))

generate:
	boostpythongenerator --disable-named-arg global.h \
						--include-paths=`pwd`/../libfoo \
						--typesystem-paths=. --output-directory=. \
						typesystem_foo.xml

clean:
	rm *.log .preprocessed.tmp foo/*.hpp foo/*.cpp -rf
	(cd foo; $(MAKE) clean)

=== debian/changelog ===
boostpythongenerator (0.2-0maemo1) unstable; urgency=low

  * Initial port to maemo

 -- Lauro Moura <lauro.neto@openbossa.org>  Fri, 21 Aug 2009 15:31:57 -0300

boostpythongenerator (0.2-0ubuntu2) karmic; urgency=low

  * Bump version to use updated version in PPA.

 -- Lauro Moura <lauro.neto@openbossa.org>  Thu, 20 Aug 2009 18:55:11 -0300

boostpythongenerator (0.2-0ubuntu1) unstable; urgency=low

  * Initial release.

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Thu, 16 Jul 2009 09:34:42 -0400

=== debian/control ===
Source: boostpythongenerator
Section: devel
Priority: extra
Maintainer: PySide team <contact@pyside.org>
Build-Depends: cdbs, debhelper (>= 5), libapiextractor-dev (>= 0.1), libqt4-dev (>= 4.5), cmake (>= 2.6.0)
Standards-Version: 3.7.3

Package: boostpythongenerator
Architecture: i386
Depends: ${shlibs:Depends}, ${misc:Depends}, libapiextractor (>= 0.1)
Description: Generates Python bindings for qt based libraries
 Generates Boost::Python-based bindings for qt based libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
# workaround for missing cmake.mk in older CDBS versions
ifneq (,$(realpath /usr/share/cdbs/1/class/cmake.mk))
include /usr/share/cdbs/1/class/cmake.mk
else
include debian/cmake.mk
endif

# Add here any variable or target overrides you need.

DEB_CMAKE_EXTRA_FLAGS=-DCMAKE_MODULE_PATH=/usr/share/cmake-2.6/Modules

# borrowed from python2.5 debian/rules
COMMA = ,
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  DEB_MAKE_ENVVARS := MAKEFLAGS=-j$(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

## boostpythongenerator 0.3.2-0maemo1

=== CMakeLists.txt ===
project(boostpythongenerator)

cmake_minimum_required(VERSION 2.6)

find_package(Qt4 4.5.0 REQUIRED)
find_package(ApiExtractor REQUIRED)
find_package(GeneratorRunner REQUIRED)

add_definitions(${QT_DEFINITIONS})

set(CMAKE_CXX_FLAGS_RELEASE "-Wall -DNDEBUG -O2 -Wl,-O1 -Wl,--hash-style=gnu")
set(CMAKE_CXX_FLAGS_DEBUG "-g -Wall")

set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE PATH "The subdirectory relative to the install prefix where libraries will be installed (default is /lib${LIB_SUFFIX})" FORCE)

# boostpythongenerator version
set(boostpythongenerator_MAJOR_VERSION "0")
set(boostpythongenerator_MINOR_VERSION "3")
set(boostpythongenerator_MICRO_VERSION "2")
set(boostpythongenerator_VERSION "${boostpythongenerator_MAJOR_VERSION}.${boostpythongenerator_MINOR_VERSION}.${boostpythongenerator_MICRO_VERSION}")

set(CMAKE_BUILD_TYPE Debug)

# uninstall target
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
               IMMEDIATE @ONLY)
add_custom_target(uninstall "${CMAKE_COMMAND}"
                  -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

#FIXME: manpages should be installed only on Linux targets
file(GLOB manpages ${CMAKE_CURRENT_SOURCE_DIR}/*.1)
install(FILES ${manpages} DESTINATION share/man/man1)

add_subdirectory(src)

set(ARCHIVE_NAME ${CMAKE_PROJECT_NAME}-${boostpythongenerator_VERSION})
add_custom_target(dist
    COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
        | bzip2 > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

=== src/CMakeLists.txt ===
project(boostpython)

set(boostpython_generator_SRC
boostpythongenerator.cpp
convertergenerator.cpp
cppgenerator.cpp
hppgenerator.cpp
boostpython.cpp
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${APIEXTRACTOR_INCLUDE_DIR}
                    ${APIEXTRACTOR_INCLUDE_DIR}/..
                    ${GENERATORRUNNER_INCLUDE_DIR}
                    ${GENERATORRUNNER_INCLUDE_DIR}/..
                    ${QT_INCLUDE_DIR}
                    ${QT_QTCORE_INCLUDE_DIR})

add_executable(boostpythongenerator main.cpp)
target_link_libraries(boostpythongenerator
                      ${QT_QTCORE_LIBRARY})

add_library(boostpython_generator SHARED ${boostpython_generator_SRC})
target_link_libraries(boostpython_generator
                      ${APIEXTRACTOR_LIBRARY}
                      ${GENERATORRUNNER_LIBRARY}
                      ${QT_QTCORE_LIBRARY}
                      ${QT_QTXML_LIBRARY})


install(TARGETS boostpython_generator DESTINATION ${GENERATORRUNNER_PLUGIN_DIR})
install(TARGETS boostpythongenerator DESTINATION bin)

add_dependencies(boostpythongenerator boostpython_generator)

=== debian/changelog ===
boostpythongenerator (0.3.2-0maemo1) unstable; urgency=low

  * Final 0.3.2 release for Maemo.
  * Replace Qt4 package names in Depends with libqt4-maemo5-* ones.
  * Drop unnecessary versioned dependencies.
  * Modify debian/rules so that Qt 4.6 can be found in /opt/qt4-maemo5 on
    Maemo.
  * debian/rules: append /usr/lib to CMAKE_INSTALL_RPATH to workaround bug in
    scratchbox-toolchain-cs2007q3-glibc2.5-arm7 1.0.12-10 (currently used in
    Maemo autobuilder).

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Thu, 19 Nov 2009 10:35:20 -0400

boostpythongenerator (0.3.2-0pyside0~ppa2) karmic; urgency=low

  * Removed generatorrunner and docgenerator (standalone package now)

 -- Lauro Moura <lauro.neto@openbossa.org>  Tue, 27 Oct 2009 17:39:35 -0300

boostpythongenerator (0.3.1-0pyside0~ppa3) unstable; urgency=low

  * Bump to fix error when uploading to ppa.
  * Final 0.3.1

 -- Lauro Moura <lauro.neto@openbossa.org>  Tue, 20 Oct 2009 16:32:43 -0300

boostpythongenerator (0.3.1-0pyside0~ppa2) unstable; urgency=low

  * Final 0.3.1 release

 -- Lauro Moura <lauro.neto@openbossa.org>  Thu, 15 Oct 2009 14:32:23 -0300

boostpythongenerator (0.3.1-0pyside0~ppa1) unstable; urgency=low

  * Creates new binary packages for the generator runner scheme.
  * Fixed default version name from 'maemo' to 'pyside'.
  * Bump to 0.3.1

 -- Lauro Moura <lauro.neto@openbossa.org>  Fri, 28 Aug 2009 11:07:47 -0300

## boostpythongenerator 0.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # boostpythongenerator version
 set(boostpythongenerator_MAJOR_VERSION "0")
 set(boostpythongenerator_MINOR_VERSION "3")
-set(boostpythongenerator_MICRO_VERSION "2")
+set(boostpythongenerator_MICRO_VERSION "3")
 set(boostpythongenerator_VERSION "${boostpythongenerator_MAJOR_VERSION}.${boostpythongenerator_MINOR_VERSION}.${boostpythongenerator_MICRO_VERSION}")
 
 set(CMAKE_BUILD_TYPE Debug)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
                       ${QT_QTXML_LIBRARY})
 
 
-install(TARGETS boostpython_generator DESTINATION ${GENERATORRUNNER_PLUGIN_DIR})
+install(TARGETS boostpython_generator DESTINATION "${GENERATORRUNNER_PLUGIN_DIR}")
 install(TARGETS boostpythongenerator DESTINATION bin)
 
 add_dependencies(boostpythongenerator boostpython_generator)

=== tests/libfoo/Makefile ===
all: foo.o bar.o
	g++ -fPIC -shared foo.o bar.o -o libfoo.so

foo.o: foo.h foo.cpp
	g++ -fPIC foo.cpp -c

bar.o: bar.h bar.cpp
	g++ -fPIC bar.cpp -c

test: main.cpp
	g++ main.cpp -L. -lfoo -I. -o footest

clean:
	rm *.o *.so footest -rf

=== tests/foobinding/foo/Makefile ===
CXX_FLAGS=-DBOOST_PYTHON_NO_PY_SIGNATURES -g -fPIC -I/usr/include/python2.5 -I../../libfoo `pkg-config pyside --cflags`
CXX_LDFLAGS=-DBOOST_PYTHON_NO_PY_SIGNATURES -fPIC -shared -L../../libfoo -lfoo `pkg-config pyside --libs`

all: foo_wrapper.o bar_wrapper.o foo_globals_wrapper.o foo_module_wrapper.o
	g++ $(CXX_LDFLAGS) bar_wrapper.o foo_wrapper.o foo_globals_wrapper.o foo_module_wrapper.o -Wl,-soname,foo.so -o foo.so

foo_wrapper.o: foo_wrapper.cpp foo_wrapper.hpp
	g++ $(CXX_FLAGS) foo_wrapper.cpp -c

bar_wrapper.o: bar_wrapper.cpp bar_wrapper.hpp
	g++ $(CXX_FLAGS) bar_wrapper.cpp -c

foo_globals_wrapper.o: foo_globals_wrapper.cpp
	g++ $(CXX_FLAGS) foo_globals_wrapper.cpp -c

foo_module_wrapper.o: foo_module_wrapper.cpp
	g++ $(CXX_FLAGS) foo_module_wrapper.cpp -c

clean:
	rm *.o *.so -rf

=== debian/changelog ===
boostpythongenerator (0.3.3-1) unstable; urgency=low

  * New upstream release.
  * Use 3.0 (quilt) format.

 -- Didier Raboud <didier@raboud.com>  Thu, 21 Jan 2010 11:36:30 +0100

boostpythongenerator (0.3.2-1) unstable; urgency=low

  * New upstream release.
    - Upstream source split between generatorrunner and boostpythongenerator.
    - Add libxslt-dev Build-Dependency
    - Drop quilt Build-Dep and associates.

 -- Didier Raboud <didier@raboud.com>  Thu, 17 Dec 2009 15:25:58 +0100

generatorrunner (0.3.1-1) unstable; urgency=low

  * Initial Debian release (Closes: #543719)
    - Use the Ubuntu packaging as starting point.
    - Convert to dh7.
  * Follow upstream in renaming to generatorrunner.
  * debian/watch: Add.
  * debian/cmake.mk: Remove dirty workaround.
  * debian/control:
    - Update Depends to dh7
    - Update Maintainer to Debian Python Modules Team
    - Add myself to Uploaders
    - Add Homepage and Vcs-* fields
    - Update description
    - Produce multiple binary packages with the various sub-parts.
    - Let libgenrunner-dev depend on libapiextractor-dev (>= 0.3.1).
  * debian/copyright: Update.
  * debian/patches:
    - Add fix_manpages.patch to solve the hyphens-as-minus lintian info
    - Add quilt to Build-Depends.
    - Add README.source
  * Add a debugging package.
  * Bump Standards to 3.8.3

 -- Didier Raboud <didier@raboud.com>  Thu, 15 Oct 2009 11:38:29 +0200

boostpythongenerator (0.2-0ubuntu2) jaunty; urgency=low

  * Build for Ubuntu 9.04.
  * Remove unused header from docgenerator.cpp.

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Tue, 18 Aug 2009 08:27:33 -0400

=== debian/control ===
Source: boostpythongenerator
Section: devel
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Didier Raboud <didier@raboud.com>
Build-Depends: debhelper (>= 7.3.12), libapiextractor-dev (>= 0.3.3), libgenrunner-dev (>= 0.3.3), libqt4-dev (>= 4.5), cmake (>= 2.6.0), libxslt-dev
Standards-Version: 3.8.3
Vcs-Svn: svn://svn.debian.org/python-modules/packages/generatorrunner/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/python-modules/packages/generatorrunner/?op=log
Homepage: http://www.pyside.org/home-binding/binding-generator/

Package: boostpythongenerator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
         generatorrunner (>= 0.3.3)
Description: Binding source code generator for Boost::Python
 Generates Boost::Python-based bindings for qt based libraries.
 .
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or
 documentation, or anything you want) for the target language for which it was
 written.

Package: boostpythongenerator-dbg
Architecture: any
Depends: boostpythongenerator (>= ${binary:Version}), ${misc:Depends}
Replaces: generatorrunner-dbg (<< 0.3.2)
Conflicts: generatorrunner-dbg (<< 0.3.2)
Section: debug
Description: Debugging symbols for boostpythongenerator
 The Binding Generator is a utility that parses the headers for a given C/C++
 library and modifies this data with the information and guides from XML files
 (called typesystem files) containing complementar semantic information,
 modifications, renamings, etc, in order to generate binding source code (or 
 documentation, or anything you want) for the target language for which it was
 written.
 .
 This package contains the debugging symbols for boostpythongenerator.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --buildsystem=cmake $@

override_dh_strip:
	dh_strip --dbg-package=boostpythongenerator-dbg

=== debian/watch ===
version=3
http://www.pyside.org/files/boostpythongenerator-([\d\.]*).tar.bz2

## boostpythongenerator 0.3.3-0maemo1

=== debian/changelog ===
boostpythongenerator (0.3.3-0maemo1) unstable; urgency=low

  * Release 0.3.3.

 -- Anderson Lizardo <anderson.lizardo@openbossa.org>  Fri, 18 Dec 2009 12:41:44 -0400

## boostpythongenerator 0.3.3-1maemo1

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 # boostpythongenerator version
 set(boostpythongenerator_MAJOR_VERSION "0")
 set(boostpythongenerator_MINOR_VERSION "3")
-set(boostpythongenerator_MICRO_VERSION "3")
+set(boostpythongenerator_MICRO_VERSION "4")
 set(boostpythongenerator_VERSION "${boostpythongenerator_MAJOR_VERSION}.${boostpythongenerator_MINOR_VERSION}.${boostpythongenerator_MICRO_VERSION}")
 
 set(CMAKE_BUILD_TYPE Debug)

=== debian/changelog ===
boostpythongenerator (0.3.3-1maemo1) unstable; urgency=low

  * Update to Qt 4.6.1.

 -- Renato Filho <renato.filho@openbossa.org>  Fri, 22 Jan 2010 13:42:12 -0300

=== debian/control ===
Source: boostpythongenerator
Section: devel
Priority: extra
Maintainer: PySide team <contact@pyside.org>
Build-Depends: cdbs, debhelper (>= 5), libapiextractor-dev (>= 0.3.2-0~ppa1), libqt4-maemo5-dev, cmake, libgenrunner-dev (>= 0.3.2)
Standards-Version: 3.7.3

Package: boostpythongenerator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libapiextractor0 (>= 0.3.2-0~ppa1), generatorrunner (>= 0.3.2)
Description: Generates Python bindings for qt based libraries
 Generates Boost::Python-based bindings for qt based libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
# workaround for missing cmake.mk in older CDBS versions
ifneq (,$(realpath /usr/share/cdbs/1/class/cmake.mk))
include /usr/share/cdbs/1/class/cmake.mk
else
include debian/cmake.mk
endif

# Add here any variable or target overrides you need.

DEB_CMAKE_EXTRA_FLAGS=-DCMAKE_MODULE_PATH=/usr/share/cmake-2.6/Modules

# borrowed from python2.5 debian/rules
COMMA = ,
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  DEB_MAKE_ENVVARS := MAKEFLAGS=-j$(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

# Allow to find Qt 4.6 on Maemo
DEB_CMAKE_EXTRA_FLAGS = -DCMAKE_SKIP_RPATH=NO -DCMAKE_BUILD_WITH_INSTALL_RPATH=YES -DCMAKE_INSTALL_RPATH="/opt/qt4-maemo5/lib;/usr/lib"
PATH := $(PATH):/opt/qt4-maemo5/bin
export PATH
